"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeneralService = void 0;
class GeneralService {
    constructor(httpRequest) {
        this.httpRequest = httpRequest;
    }
    /**
     * Show OpenAPI explorer
     * Provides a UI that you can use to explore the API. You can also retrieve the API directly at `/spec.yaml` and `/spec.json`.
     * @returns string
     * @throws ApiError
     */
    spec() {
        return this.httpRequest.request({
            method: 'GET',
            url: '/spec',
        });
    }
    /**
     * Get ledger info
     * Get the latest ledger information, including data such as chain ID,
     * role type, ledger versions, epoch, etc.
     * @returns IndexResponse
     * @throws ApiError
     */
    getLedgerInfo() {
        return this.httpRequest.request({
            method: 'GET',
            url: '/',
        });
    }
}
exports.GeneralService = GeneralService;
//# sourceMappingURL=GeneralService.js.map